"{ Package: 'jv:libgdbs' }"

Object subclass:#GDBLauncher
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Private'
!


!GDBLauncher class methodsFor:'starting'!

startGDB
    | inputPipe input outputPipe output  args  controller pid|

    inputPipe := NonPositionableExternalStream makePipe.
    input := inputPipe second.
    outputPipe := NonPositionableExternalStream makePipe.
    output := outputPipe first.
    args := #( '/usr/bin/gdb' '--interpreter' 'mi2' ).

    Processor 
        monitor:[
            pid := OperatingSystem 
                    exec:args first
                    withArguments:args
                    environment:OperatingSystem getEnvironment
                    fileDescriptors:{
                            inputPipe first fileDescriptor.
                            outputPipe second fileDescriptor.
                            outputPipe second fileDescriptor
                        }
                    fork:true
                    newPgrp:false
                    inDirectory:Filename currentDirectory.
            controller := GDBDriver 
                    pid:pid
                    input:input
                    output:output.
            pid.
        ]
        action:[:stat | controller released:stat. ].
    inputPipe first close.
    outputPipe second close.
    pid isNil ifTrue:[
        input close.
        output close.
        self error:'Failed to launch gdb'.
        ^ self.
    ].
    ^ controller

    "Created: / 26-05-2014 / 21:18:26 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 09-06-2014 / 18:31:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBLauncher class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

