"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_var_info_expression
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_var_info_expression class methodsFor:'documentation'!

documentation
"
The `-var-info-expression' Command
----------------------------------

Synopsis
........

      -var-info-expression NAME

   Returns a string that is suitable for presenting this variable
object in user interface.  The string is generally not valid expression
in the current language, and cannot be evaluated.

   For example, if `a' is an array, and variable object `A' was created
for `a', then we'll get this output:

     (gdb) -var-info-expression A.1
     ^done,lang='C',exp='1'

Here, the value of `lang' is the language name, which can be found in
*note Supported Languages::.

   Note that the output of the `-var-list-children' command also
includes those expressions, so the `-var-info-expression' command is of
limited use.


"
! !

!GDBMI_var_info_expression methodsFor:'accessing'!

operation
	^ 'var-info-expression'
! !

